Update a task
PATCH
/partners/tasks/{uuid}Updates an existing task. Only the fields you send are changed.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredTask UUID to update.
Request body
namestringUpdated task title.
descriptionstringUpdated details.
prioritystringUpdated priority.
deadlinedateUpdated due date.
assigneeIduuidAssignee UUID or workspace-scoped numeric id.
statusIduuidStatus UUID or workspace-scoped numeric id.
projectIduuidProject UUID or workspace-scoped numeric id.
tagsarrayReplacement tag list (array or JSON-encoded string).
Responses
200Task updated successfully.404Task not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPATCH
https://api.getcount.com/partners/tasks/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'PATCH';
const signingPath = '/tasks/22334455-6677-8899-aabb-ccddeeff0011';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"priority": "high",
"deadline": "2026-04-01"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/tasks/22334455-6677-8899-aabb-ccddeeff0011`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on updating task",
"data": {
"task": {
"id": "22334455-6677-8899-aabb-ccddeeff0011",
"name": "Review wireframes",
"type": "INTERNAL_TASK",
"description": "Review and approve wireframes before development.",
"priority": "high",
"deadline": "2026-04-01",
"customId": "TASK-1042",
"visibility": "firm-team",
"assignee": {
"uuid": "f1a2b3c4-d5e6-4789-a012-3456789abcde",
"firstName": "Jane",
"lastName": "Smith"
},
"project": {
"uuid": "11223344-5566-7788-99aa-bbccddeeff00",
"name": "Website Redesign"
},
"tags": [],
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
}
}